<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-tagihan-heading">Create or edit a Tagihan</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id"
                        readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_nomor">Nomor</label>
                    <input type="text" class="form-control" name="nomor" id="field_nomor"
                           formControlName="nomor"/>
                    <div *ngIf="editForm.get('nomor')!.invalid && (editForm.get('nomor')!.dirty || editForm.get('nomor')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('nomor')?.errors?.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_tanggal">Tanggal</label>
                    <div class="d-flex">
                        <input id="field_tanggal" type="datetime-local" class="form-control" name="tanggal" formControlName="tanggal" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                    <div *ngIf="editForm.get('tanggal')!.invalid && (editForm.get('tanggal')!.dirty || editForm.get('tanggal')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('tanggal')?.errors?.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.get('tanggal')?.errors?.ZonedDateTimelocal">
                            This field should be a date and time.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_total">Total</label>
                    <input type="number" class="form-control" name="total" id="field_total"
                           formControlName="total"/>
                    <div *ngIf="editForm.get('total')!.invalid && (editForm.get('total')!.dirty || editForm.get('total')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('total')?.errors?.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.get('total')?.errors?.number">
                            This field should be a number.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_jatuhTempo">Jatuh Tempo</label>
                    <div class="d-flex">
                        <input id="field_jatuhTempo" type="datetime-local" class="form-control" name="jatuhTempo" formControlName="jatuhTempo" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                    <div *ngIf="editForm.get('jatuhTempo')!.invalid && (editForm.get('jatuhTempo')!.dirty || editForm.get('jatuhTempo')!.touched)">
                        <small class="form-text text-danger"
                               *ngIf="editForm.get('jatuhTempo')?.errors?.required">
                        This field is required.
                        </small>
                        <small class="form-text text-danger"
                            [hidden]="!editForm.get('jatuhTempo')?.errors?.ZonedDateTimelocal">
                            This field should be a date and time.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_tanggalBayar">Tanggal Bayar</label>
                    <div class="d-flex">
                        <input id="field_tanggalBayar" type="datetime-local" class="form-control" name="tanggalBayar" formControlName="tanggalBayar" placeholder="YYYY-MM-DD HH:mm"/>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" for="field_status">Status</label>
                    <select class="form-control" name="status" formControlName="status" id="field_status">
                        <option value="LUNAS">LUNAS</option>
                        <option value="BELUMBAYAR">BELUMBAYAR</option>
                        <option value="NUNGGAK">NUNGGAK</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" for="field_besarBayar">Besar Bayar</label>
                    <select class="form-control" id="field_besarBayar" name="besarBayar" formControlName="besarBayar">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="besarBayarOption.id === editForm.get('besarBayar')!.value?.id ? editForm.get('besarBayar')!.value : besarBayarOption" *ngFor="let besarBayarOption of besarbayars; trackBy: trackById">{{besarBayarOption.id}}</option>
                    </select>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span>Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span>Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
